Selecting a Split Table with SelectByID2

I have an AddIn with a function that selects a Table (in this case a BOM table) programmatically using SelectByID2 and the Name the table, followed by "@Sheetx". For example:

oExtension.SelectByID2("myMEWorksBOM@Sheet2", "ANNOTATIONTABLES", 0, 0, 0, False, 0, Nothing, 0)

It will not select the table once it is split, even though it reports the same Name.

Remove the Split and it will select it again...

I assume splitting the table into pieces adds some sort of prefix/suffix to the Name string, but I can't find any documentation on what it might be.

Thoughts?

SolidworksApi macros